Topalt Add-Ins for Outlook FAQ

How to sync Google contacts with Outlook?

TIP: Latest version of Topalt Sync for Google allows to sync contacts automatically just by entering login info.

We know that it is really important to have your contacts everywhere you need them, that includes Outlook and Google. However, it is really inconvenient to have them not in sync. The following steps provide an easy way on how to sync your contacts between Google and Outlook.

To sync Google contacts directly with Outlook you will require the use of a third party software. 

How to sync Outlook calendar with Google?

TIP: Latest version of Topalt Sync for Google allows to sync calendar automatically just by entering login info.

Users finding themselves constantly switching between Google calendar and a computer running Outlook will experience the frustration of having two separate calendars on each device. Luckily, there is a way to sync Outlook and Google in an easy way.

Where does this application install to, I can not see it in Start menu?

This application is Outlook add-in, it runs together with Outlook. You should restart Outlook after the installation and use the newly appeared toolbar.

In Outlook 2007, 2010 and 2013, it adds a button under add-ins tab and can be run from there.

What email account types this application support?

This application works with POP3, IMAP and Exchange email accounts. So, it works with all types of email accounts.

I have a problem with activation. What should I do?

That depends on your problem. Problems can be categorized by error message:

"Incorrect activation code!" - make sure that you enter your name exactly as it appears on your order e-mail (case sensitive).

"Activation code is not valid for current version." - free upgrades are provided for 1 year after purchase, to use the version released later than this, you should purchase an upgrade (costs 50% of the original price). Please contact us to get an upgrade.

Does it work with latest Office, Windows?

All our software is updated to be compatible with latest Office and Windows versions.

Your system should comply with the following requirements:

  • Microsoft Office 2000, 2002 (XP), 2003, 2007, 2010, 2013 or 2016 installed.
  • Microsoft Windows 2000, XP, Vista, 7, 8, 8.1 or 10 installed. Both 32 and 64 bit versions are supported.
  • Administrator privileges for the installation.